#!/bin/sh

#
# tools/rpmbuilder.sh
#
# This file is part of webCDwriter - Network CD Writing.
#
# Copyright (C) 2002 Jrg P. M. Haeger
#
# webCDwriter is free software. See CDWserver.cpp for details.
#

# Thanks to Ramon Casha for the "Self-extracting Archive HOWTO"
# (see http://linux.org.mt/article/selfextract)

PRODUCT=webCDwriter
RPM=rpm
VERSION=@VERSION@

echo
echo "webCDwriter $VERSION rpmbuilder"
echo

if [ "`id -u`" = "0" ]; then
	echo "Do not run $0 as root!"
	echo
	exit 1
fi

echo -n "Trying to run \"${RPM} --help\"..."
if ${RPM} --help 2>&1 > /dev/null; then
	echo "OK"
else
	echo "failed"
	exit 1
fi

echo -n "Looking for an already installed ${PRODUCT}..."
upgrade=0
if ${RPM} -q webCDwriter; then
	upgrade=1
else
	echo "no"
fi

echo
echo "webCDwriter $VERSION - building RPM..."
echo

SKIP=`awk '/^__ARCHIVE_FOLLOWS__/ { print NR + 1; exit 0; }' $0`

DIR=/tmp/webCDwriter
rm -rf $DIR/ || exit 1
mkdir -p $DIR/{BUILD,RPMS,SOURCES,SPECS,SRPMS}
tail +$SKIP $0 > $DIR/webCDwriter-$VERSION.tar.bz2
rpm -tb --define "_topdir $DIR/" $DIR/webCDwriter-$VERSION.tar.bz2 \
	|| exit 1

echo
echo "To do:"
echo
echo "1. Become root (enter \"su\")"
echo
if [ ${upgrade} = 0 ]; then
	echo "2. Install `basename /tmp/webCDwriter/RPMS/*/*` by"
	echo "        ${RPM} -ihv `ls $DIR/RPMS/*/*`"
else
	echo "2. Upgrade to `basename /tmp/webCDwriter/RPMS/*/*` by"
	echo "        ${RPM} -Uhv `ls $DIR/RPMS/*/*`"
fi
echo

exit 0

__ARCHIVE_FOLLOWS__
