#
# spec file for webCDwriter
#

%define name webCDwriter
%define version 2.4.2
%define release 1

%if %(test -e /etc/mandrake-release && echo 1 || echo 0)
	%define release 1mdk
%endif

%if %(test -e /etc/SuSE-release && echo 1 || echo 0)
	%define release 1SuSE
%endif

%define CDWgroup cdwriter
%define CDWuser cdwriter

%define initDir /etc/init.d
%if %(test -d %{initDir} && echo 0 || echo 1)
	%define initDir /etc/rc.d/init.d
%endif
%if %(test -d %{initDir} && echo 0 || echo 1)
	%define initDir /etc/init.d
%endif

Summary: Network CD Writing
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
Source: %{name}-%{version}.tar.bz2
URL: http://wwwhomes.uni-bielefeld.de/jhaeger/webCDwriter/
Requires: cdrecord >= 1.10, mkisofs, mpg123
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
webCDwriter can be used to make a single CD-writer available
to the users in your network. It consists of the server CDWserver
and the clients webCDcreator and rcdrecord.
CDWserver stores the files transmitted by the clients, reserves
the CD-writer and controls the CD-writer using cdrecord.
webCDcreator is a Java applet that runs within your browser
(Netscape, IE, ?), assists you when putting together a CD
and transmits the files.
Finally rcdrecord is a command line client that trys to offer
the functionality of cdrecord over the network (not complete yet).

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING CREDITS ChangeLog README *.html
%dir %attr(0755, %{CDWuser}, %{CDWgroup}) /etc/CDWserver/
%dir %attr(0755, %{CDWuser}, %{CDWgroup}) /etc/CDWserver/export/
%config(noreplace) /etc/CDWserver/about.html
%config(noreplace) %attr(0600, %{CDWuser}, %{CDWgroup}) /etc/CDWserver/accounts
%config(noreplace) /etc/CDWserver/config*
%config(noreplace) /etc/CDWserver/favicon.ico
%config(noreplace) /etc/CDWserver/footer
%config(noreplace) /etc/CDWserver/greeting
%config(noreplace) /etc/CDWserver/head*
%config(noreplace) /etc/CDWserver/help*.html
%config(noreplace) /etc/CDWserver/logo.png
%config(noreplace) /etc/CDWserver/messages*
%config(noreplace) /etc/CDWserver/status*.html
%config(noreplace) /etc/CDWserver/waitForCD
/etc/CDWserver/export/*
/etc/CDWserver/rcdrecord/*
%config(noreplace) /etc/CDWserver/webCDcreator/*.html
%config(noreplace) /etc/CDWserver/webCDcreator/*.jnlp
/etc/CDWserver/webCDcreator/4netscape/*
/etc/CDWserver/webCDcreator/4plugin/*
/etc/CDWserver/webCDcreator/4pluginRSA/*
/etc/CDWserver/webCDcreator/doc/*
/etc/CDWserver/webCDcreator/i18n/*
/etc/CDWserver/webCDcreator/icons/*
%{initDir}/CDWserver
%dir %attr(0700, %{CDWuser}, %{CDWgroup}) /home/CDWserver/
%attr(4710, root, %{CDWgroup}) /usr/bin/CDWverify-dummy
%attr(4710, root, %{CDWgroup}) /usr/bin/cdrdao-dummy
%attr(4710, root, %{CDWgroup}) /usr/bin/cdrecord-dummy
%attr(4710, root, %{CDWgroup}) /usr/bin/dvd+rw-format
%attr(4710, root, %{CDWgroup}) /usr/bin/dvd+rw-format-dummy
/usr/bin/files2cd
%attr(4710, root, %{CDWgroup}) /usr/bin/growisofs
%attr(4710, root, %{CDWgroup}) /usr/bin/growisofs-dummy
/usr/bin/rcdrecord
%attr(4710, root, %{CDWgroup}) /usr/bin/setScheduler
%attr(4710, root, %{CDWgroup}) /usr/bin/CDWverify
/usr/sbin/CDWserver
%dir %attr(0700, %{CDWuser}, %{CDWgroup}) /var/log/CDWserver/
%dir %attr(0700, %{CDWuser}, %{CDWgroup}) /var/spool/CDWserver/

%pre
# Add the "webCDwriter" user and group
/usr/sbin/groupadd %{CDWgroup} 2> /dev/null || :
/usr/sbin/useradd -c "webCDwriter user" \
	-g %{CDWgroup} %{CDWuser} 2> /dev/null || :

%post
if [ -x /sbin/chkconfig ]; then
	/sbin/chkconfig --add CDWserver
fi

if [ -x /sbin/insserv ]; then
	/sbin/insserv %{initDir}/CDWserver
fi

# make cdrecord and mkisofs setuid root
chown root.%{CDWgroup} /usr/bin/cdrecord /usr/bin/mkisofs
chmod 4710 /usr/bin/cdrecord /usr/bin/mkisofs

echo
echo -e "Now you can start CDWserver by"
echo -e "   %{initDir}/CDWserver start"
echo -e "Then visit"
echo -e "   http://`hostname`:12411"
echo -e "or try rcdrecord or files2cd on the command line."
echo

%preun
if [ $1 = 0 ]; then
	%{initDir}/CDWserver stop || :

	if [ -x /sbin/chkconfig ]; then
		/sbin/chkconfig --del CDWserver
	fi

	rm /var/spool/CDWserver/* -rf
fi

%postun
if [ $1 = 0 ]; then
	if [ -x /sbin/insserv ]; then
		/sbin/insserv %{initDir}
	fi
fi

if [ $1 -ge 1 ]; then
	%{initDir}/CDWserver condrestart
fi

%changelog
* Thu Oct 24 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- added dvd+rw-format and growisofs

* Mon Jun 10 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- try to detect mdk and SuSE releases
- replaced /etc/init.d by initDir

* Wed May 29 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- integration into webCDwriter-version.tar.bz2
- replaced /etc/rc.d/init.d/ by /etc/init.d/

* Wed Apr 24 2002 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- web documents moved to /etc/CDWserver/webCDcreator/

* Wed Nov 14 2001 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- prepare start.jnlp for Java Web Start

* Tue Apr 17 2001 Jrg Haeger <Joerg.Haeger@Uni-Bielefeld.de>
- BuildRoot added
- putting the hostname to the applet start pages removed
- special /etc/init.d/CDWserver
